summaryrefslogtreecommitdiffstats
path: root/scripts/cpukit/mkspec.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/cpukit/mkspec.in')
-rw-r--r--scripts/cpukit/mkspec.in57
1 files changed, 57 insertions, 0 deletions
diff --git a/scripts/cpukit/mkspec.in b/scripts/cpukit/mkspec.in
new file mode 100644
index 0000000000..d44ce336d7
--- /dev/null
+++ b/scripts/cpukit/mkspec.in
@@ -0,0 +1,57 @@
+#!/bin/sh
+#
+
+RTEMS_DIR=`dirname $0`/@top_srcdir@
+RTEMS_VERSION=@VERSION@
+RPM_VERSION=`echo ${RTEMS_VERSION} | tr - _`
+
+CFG=../setup.cache
+dst=@RPM_SPECSdir@
+exe_ext=@EXEEXT@
+
+usage()
+{
+ echo "$0 [options] <target_alias>"
+ echo " options:"
+ echo " -cfg <setup.cache>"
+ echo " -o <rpm-spec-dir>"
+ exit 1 ;
+}
+
+while test $# -ge 3; do
+case $1 in
+-cfg)
+ shift
+ CFG=$1
+ shift
+ ;;
+-o)
+ shift
+ dst=$1
+ shift
+ ;;
+-*)
+ echo "invalid option $1";
+ usage
+ ;;
+esac
+done
+
+if test ! $# -eq 1;
+then
+ echo "Invalid number of arguments" >&2
+ usage >&2
+fi
+
+# target to build for
+target_alias=$1
+
+. ./$CFG
+
+sed -e "s%@Release\@%${rtems_rpm_release}%g" \
+ -e "s%@rtems_version\@%${RTEMS_VERSION}%g" \
+ -e "s%@rpm_version\@%${RPM_VERSION}%g" \
+ -e "s,@rpm_build_root\@,${rpm_build_root},g" \
+ -e "s%@target_alias\@%${target_alias}%g" \
+ -e "s%@exe_ext\@%${exe_ext}%g" \
+< ${RTEMS_DIR}/cpukit/rtems-cpukit.spec.in